<?php

use \ModulesGarden\OpenXchangeAddon\Core\ModuleConstants;
use \ModulesGarden\OpenXchangeAddon\Core\ServiceLocator;
use \ModulesGarden\OpenXchangeAddon\Core\FileReader\PathValidator;
use \ModulesGarden\OpenXchangeAddon\Core\FileReader\File;
use \ModulesGarden\OpenXchangeAddon\Core\DependencyInjection\Builder;
use \ModulesGarden\OpenXchangeAddon\Core\DependencyInjection\Services;

if (!defined('DS')) define('DS', DIRECTORY_SEPARATOR);
if (!defined('PS')) define('PS', PATH_SEPARATOR);
if (!defined('CRLF')) define('CRLF', "\r\n");

require_once dirname(__DIR__) . DS . "vendor" . DS . "autoload.php";

/**
 * Initialize base values
 */
ModuleConstants::initialize();

/**
 * Initailize DI builder
 */
new Builder();

/**
 * Initialize Services
 */
new Services();
